package com.lz.modules.flow.model;

import com.alibaba.fastjson.JSON;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class StaffRoleDto {
    private Long staffId;
    private Long roleId;

    public StaffRoleDto() {
    }

    public StaffRoleDto(Long staffId, Long roleId) {
        this.staffId = staffId;
        this.roleId = roleId;
    }



    public static String getStaffRole(Long staffId ,Long roloId) {
        List<StaffRoleDto> staffRoleDtoList = new ArrayList<>();
        StaffRoleDto staffRoleDto = new StaffRoleDto(staffId,roloId);
        staffRoleDtoList.add(staffRoleDto);
        return JSON.toJSONString(staffRoleDtoList);
    }




    public static void main(String[] args) {
        List<StaffRoleDto> staffRoleDtoList = new ArrayList<>();
        StaffRoleDto staffRoleDto = new StaffRoleDto(314l,6l);
        staffRoleDtoList.add(staffRoleDto);
        System.out.println(JSON.toJSONString(staffRoleDtoList));






    }

}
